Nuxt.js项目不识别import原因及解决方法

1、问题

使用npx create-nuxt-app创建Nuxt.js项目,项目默认使用require引入依赖,如下:
在这里插入图片描述
平时习惯使用import,改为import Koa from 'koa'会报SyntaxError: Unexpected identifier,即不识别import错误。

2、原因

通过package.json可以看到,使用npx create-nuxt-app创建出来的Nuxt.js项目在npm run dev时直接使用node编译index.js,我们之前写的项目之所以可以,是因为有用babel去处理,也就是说,node本身是不支持这种语法的。
在这里插入图片描述

3、解决方法

前提:已安装babel-cli,还没安装可通过npm install -g babel-cli安装
①、修改package.json,结合babel处理
在这里插入图片描述
②、项目根目录创建babel配置文件并配置
在这里插入图片描述
③、安装babel-preset-es2015
在这里插入图片描述
④、重新运行项目
在这里插入图片描述

更新(2019.01.09):

目前babel-preset-es2015已经不推荐使用,如下:
在这里插入图片描述
建议使用babel-preset-env代替:
在这里插入图片描述
官网:https://babeljs.io/docs/en/env/

©️2020 CSDN 皮肤主题: 创作都市 设计师: CSDN官方博客 返回首页
实付0元
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值